Subject: Re: [bug#36599] [PATCH] gnu: Add node-semver. (Updated)

From: Julien Lepiller <[email-masked]>
Date: Fri, 17 Apr 2020 12:09:54 -0400

Le 17 avril 2020 10:54:43 GMT-04:00, [email-masked] a écrit :
>Hi Julien,
>
>> Does npm install the test.js files when run by ittself (in which case
>
>> we replicate its behavior), or does it have a mechanism to know what 
>> files to install? If so we thould replicate that mecanism.
>
>On my system I get
>
>giacomo@frarch /tmp$ npm i semver
>npm WARN saveError ENOENT: no such file or directory, open 
>'/tmp/package.json'
>npm WARN enoent ENOENT: no such file or directory, open 
>'/tmp/package.json'
>npm WARN tmp No description
>npm WARN tmp No repository field.
>npm WARN tmp No README data
>npm WARN tmp No license field.
>
>+ [email-masked]
>added 1 package and audited 1 package in 0.626s
>found 0 vulnerabilities
>
>giacomo@frarch /tmp$ ls -l node_modules/semver/
>total 48
>drwxr-xr-x 2 giacomo giacomo    60 Apr 17 16:43 bin/
>-rw-r--r-- 1 giacomo giacomo  2257 Oct 26  1985 CHANGELOG.md
>drwxr-xr-x 2 giacomo giacomo   120 Apr 17 16:43 classes/
>drwxr-xr-x 2 giacomo giacomo   520 Apr 17 16:43 functions/
>-rw-r--r-- 1 giacomo giacomo  1982 Oct 26  1985 index.js
>drwxr-xr-x 2 giacomo giacomo   120 Apr 17 16:43 internal/
>-rw-r--r-- 1 giacomo giacomo   765 Oct 26  1985 LICENSE
>-rw-r--r-- 1 giacomo giacomo  1645 Apr 17 16:43 package.json
>-rw-r--r-- 1 giacomo giacomo    69 Oct 26  1985 preload.js
>-rw-r--r-- 1 giacomo giacomo   619 Oct 26  1985 range.bnf
>drwxr-xr-x 2 giacomo giacomo   260 Apr 17 16:43 ranges/
>-rw-r--r-- 1 giacomo giacomo 22109 Oct 26  1985 README.md
>
>so I believe that npm uses the "files" key [0] in package.json to
>decide 
>what to install.
>
>I'm definitely available to implement that but it could take a week or 
>two, if we feel it should be changed right away I'm probably not the 
>best person to do that.
>
>What do you think? Should I open another issue about this?
>
>Giacomo
>
>[0]: https://github.com/npm/node-semver/blob/master/package.json#L21

We don't have to rush, and I won't implement that faster than you, so if you can and want to do it, please go ahead :). Opening a new bug to track that is a good idea. Can you do that?

Thank you!